import {Component, EventEmitter, Input, Output} from '@angular/core';
import {Recipe} from "../../../shared/model/recipe.model";
import {Subject} from "rxjs";

@Component({
  selector: 'cre-mixes-card',
  templateUrl: './mixes-card.component.html',
  styleUrls: ['./mixes-card.component.sass']
})
export class MixesCardComponent {
  @Input() recipe: Recipe
  @Input() units$: Subject<string>
  @Input() deductErrorBody: any
  @Input() printingError = 2
  @Input() editionMode = false

  @Output() locationChange = new EventEmitter<{ id: number, location: string }>()
  @Output() quantityChange = new EventEmitter<{ id: number, materialId: number, quantity: number }>()
  @Output() deduct = new EventEmitter<number>()
  @Output() printingErrorChange = new EventEmitter<number>()
}
